.mat-dp {
    line-height: 0.1;
    display: inline-block;
    position: relative;
    width: 100%;
    
    .btn {
        padding: 0;
        margin: 0;
    }
    .selectiongroup,
    .selection,
    .selector,
    .headertodaybtn {
        border-radius: 4px;
    }
    .header {
        border-radius: 4px 4px 0 0;
    }
    .caltable,
    .monthtable,
    .yeartable {
        border-radius: 0 0 4px 4px;
    }
    .caltable tbody tr:nth-child(6) td:first-child,
    .monthtable tbody tr:nth-child(4) td:first-child,
    .yeartable tbody tr:nth-child(7) td:first-child {
        border-bottom-left-radius: 4px;
    }
    .caltable tbody tr:nth-child(6) td:last-child,
    .monthtable tbody tr:nth-child(4) td:last-child,
    .yeartable tbody tr:nth-child(7) td:last-child {
        border-bottom-right-radius: 4px;
    }
    .selector {
        margin-top: 2px;
        margin-left: -1px;
        position: absolute;
        width: 252px;
        padding: 0;
        border: 1px solid #CCC;
        z-index: 99999;
        animation: selectorfadein 0.1s;
    }
    .selector:focus {
        border: 1px solid #ADD8E6;
        outline: none;
    }
    @keyframes selectorfadein {
        from {
            opacity: 0;
        }
        to {
            opacity: 1;
        }
    }
    .selectorarrow {
        background: #FAFAFA;
        margin-top: -5px;
        padding: 0;
    }
    .selectorarrow:after,
    .selectorarrow:before {
        bottom: 100%;
        border: solid transparent;
        content: " ";
        height: 0;
        width: 0;
        position: absolute;
    }
    .selectorarrow:after {
        border-color: rgba(250, 250, 250, 0);
        border-bottom-color: #FAFAFA;
        border-width: 10px;
        margin-left: -10px;
    }
    .selectorarrow:before {
        border-color: rgba(204, 204, 204, 0);
        border-bottom-color: #CCC;
        border-width: 11px;
        margin-left: -11px;
    }
    .selectorarrow:focus:before {
        border-bottom-color: #ADD8E6;
    }
    .selectorarrowleft:after,
    .selectorarrowleft:before {
        left: 24px;
    }
    .selectorarrowright:after,
    .selectorarrowright:before {
        left: 224px;
    }
    .alignselectorright {
        right: -1px;
    }
    .selectiongroup {
        position: relative;
        display: table;
        border: none;
        border-spacing: 0;
        background-color: #FFF;
    }
    .selection {
        outline: none;
        background-color: #FFF;
        display: table-cell;
        position: absolute;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
        padding-left: 6px;
        border: none;
        color: #555;
    }
    .invaliddate {
        background-color: #F1DEDE;
    }
     ::-ms-clear {
        display: none;
    }
    .selbtngroup {
        position: relative;
        vertical-align: middle;
        white-space: nowrap;
        width: 1%;
        display: table-cell;
        font-size: 0;
    }
    .btnpicker,
    .btnclear,
    .btndecrease,
    .btnincrease {
        height: 100%;
        width: 28px;
        border: none;
        padding: 0;
        outline: 0;
        font: inherit;
        -moz-user-select: none;
    }
    .btnpickerenabled,
    .btnclearenabled,
    .btndecreaseenabled,
    .btnincreaseenabled,
    .headertodaybtnenabled,
    .headerbtnenabled,
    .yearchangebtnenabled {
        cursor: pointer;
    }
    .selectiondisabled,
    .btnpickerdisabled,
    .btncleardisabled,
    .btndecreasedisabled,
    .btnincreasedisabled,
    .headertodaybtndisabled,
    .headerbtndisabled,
    .yearchangebtndisabled {
        cursor: not-allowed;
        opacity: 0.65;
    }
    .selectiondisabled {
        background-color: #EEE;
    }
    .btnpicker,
    .btnclear,
    .btndecrease,
    .btnincrease,
    .headertodaybtn {
        background: #FFF;
    }
    .header {
        width: 100%;
        height: 30px;
        background-color: #FAFAFA;
    }
    .header td {
        vertical-align: middle;
        border: none;
        line-height: 0;
    }
    .header td:nth-child(1) {
        padding-left: 4px;
    }
    .header td:nth-child(2) {
        text-align: center;
    }
    .header td:nth-child(3) {
        padding-right: 4px;
    }
    .caltable,
    .monthtable,
    .yeartable {
        table-layout: fixed;
        width: 100%;
        background-color: #FFF;
        font-size: 14px;
    }
    .caltable,
    .monthtable,
    .yeartable,
    .weekdaytitle,
    .daycell,
    .monthcell,
    .yearcell {
        border-collapse: collapse;
        color: #003366;
        line-height: 1.1;
    }
    .weekdaytitle,
    .daycell,
    .monthcell,
    .yearcell {
        padding: 4px;
        text-align: center;
    }
    .weekdaytitle {
        background-color: #DDD;
        font-size: 11px;
        font-weight: normal;
        vertical-align: middle;
        max-width: 36px;
        overflow: hidden;
        white-space: nowrap;
    }
    .weekdaytitleweeknbr {
        width: 20px;
        border-right: 1px solid #BBB;
    }
    .daycell {
        height: 30px;
    }
    .monthcell {
        background-color: #FAFAFA;
        height: 50px;
        width: 33.3333%;
    }
    .yearcell {
        background-color: #FAFAFA;
        height: 30px;
        width: 20%;
    }
    .daycell .datevalue {
        background-color: inherit;
        vertical-align: middle;
    }
    .daycell .datevalue span {
        vertical-align: middle;
    }
    .daycellweeknbr {
        font-size: 10px;
        border-right: 1px solid #CCC;
        cursor: default;
        color: #000;
    }
    .inlinedp {
        position: relative;
        margin-top: -1px;
    }
    .prevmonth,
    .nextmonth {
        color: #CCC;
    }
    .disabled {
        cursor: default !important;
        color: #CCC !important;
        background: #FBEFEF !important;
    }
    .sunday {
        color: #C30000;
    }
    .sundayDim {
        opacity: 0.5;
    }
    .currmonth {
        background-color: #F6F6F6;
        font-weight: normal;
    }
    .markdate {
        position: absolute;
        width: 4px;
        height: 4px;
        border-radius: 4px;
    }
    .currday {
        text-decoration: underline;
    }
    .selectedday .datevalue,
    .selectedmonth .monthvalue,
    .selectedyear .yearvalue {
        border: 1px solid #004198;
        background-color: #8EBFFF !important;
        border-radius: 2px;
    }
    .selectedmonth .monthvalue {
        padding: 6px;
    }
    .selectedyear .yearvalue {
        padding: 2px;
    }
    .headerbtncell {
        background-color: #FAFAFA;
        display: table-cell;
        vertical-align: middle;
    }
    .yearchangebtncell {
        text-align: center;
        height: 25px;
        background-color: #FAFAFA;
    }
    .headerbtn,
    .headerlabelbtn,
    .yearchangebtn {
        background: #FAFAFA;
        border: none;
        height: 22px;
    }
    .headerbtn {
        width: 16px;
    }
    .headerlabelbtn {
        font-size: 14px;
        outline: none;
        cursor: default;
    }
    .headertodaybtn,
    .yearinput {
        border: 0;
    }
    .btnpicker,
    .btnclear,
    .btndecrease,
    .btnincrease,
    .headerbtn,
    .headermonthtxt,
    .headeryeartxt,
    .headertodaybtn,
    .yearchangebtn {
        color: #000;
    }
    .headertodaybtn {
        padding: 0 4px;
        font-size: 11px;
        height: 22px;
        min-width: 60px;
        max-width: 84px;
        overflow: hidden;
        white-space: nowrap;
    }
    button::-moz-focus-inner {
        border: 0;
    }
    .headermonthtxt,
    .headeryeartxt {
        text-align: center;
        display: table-cell;
        vertical-align: middle;
        font-size: 14px;
        height: 26px;
        width: 45px;
        max-width: 45px;
        overflow: hidden;
        white-space: nowrap;
    }
    .btnclear:focus,
    .btndecrease:focus,
    .btnincrease:focus,
    .btnpicker:focus,
    .headertodaybtn:focus {
        background: #ADD8E6;
    }
    .headerbtn:focus,
    .monthlabel:focus,
    .yearlabel:focus,
    .yearchangebtn:focus {
        color: #ADD8E6;
        outline: none;
    }
    .daycell:focus,
    .monthcell:focus,
    .yearcell:focus {
        outline: 1px solid #CCC;
    }
    .icon-mydpcalendar,
    .icon-mydpremove {
        font-size: 16px;
    }
    .icon-mydpleft,
    .icon-mydpright,
    .icon-mydpup,
    .icon-mydpdown {
        color: #222;
        font-size: 20px;
    }
    .btndecrease .icon-mydpleft,
    .btnincrease .icon-mydpright {
        font-size: 16px;
    }
    .icon-mydptoday {
        color: #222;
        font-size: 11px;
    }
    table {
        display: table;
        border-spacing: 0;
    }
    table td {
        padding: 0;
    }
    table,
    th,
    td {
        border: none;
    }
    .btnpickerenabled:hover,
    .btnclearenabled:hover,
    .btndecreaseenabled:hover,
    .btnincreaseenabled:hover,
    .headertodaybtnenabled:hover {
        background-color: #E6E6E6;
    }
    .tablesingleday:hover,
    .tablesinglemonth:hover,
    .tablesingleyear:hover {
        background-color: #DDD;
    }
    .monthlabel,
    .yearlabel,
    .inputnoteditable,
    .daycell,
    .monthcell,
    .yearcell {
        cursor: pointer;
    }
    .yearinput {
        width: 40px;
        height: 22px;
        text-align: center;
        font-weight: normal;
        outline: none;
        border-radius: 2px;
    }
    .headerbtnenabled:hover,
    .yearchangebtnenabled:hover,
    .monthlabel:hover,
    .yearlabel:hover {
        color: #777;
    }
}

///////////////////////////////////////////
.input-datepicker {
    width: 150px;
    padding-top: 15px;
    border-bottom: grey 1px solid;
}
// .mat-form-field-wrapper {
//     .mat-form-field-flex {
//         .mat-form-field-infix {
//             padding-top: 0px !important;
//         }
//     }
// }

